www-apache-bugdb mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ludovic LANGE <lla...@capgemini.fr>
Subject mod_cgi/2021: Problems with CGI and POSIX binaries
Date Tue, 31 Mar 1998 17:06:11 GMT

>Number:         2021
>Category:       mod_cgi
>Synopsis:       Problems with CGI and POSIX binaries
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    apache
>State:          open
>Class:          sw-bug
>Submitter-Id:   apache
>Arrival-Date:   Tue Mar 31 09:10:01 PST 1998
>Last-Modified:
>Originator:     llange@capgemini.fr
>Organization:
apache
>Release:        1.3b5+NTSP3
>Environment:
Microsoft Windows NT4.0, Service Pack 3
SoftWay's OpenNT 2.1 (demo version)
compiler : Microsoft CL 11.00.7022
>Description:
I have installed OpenNT (Softway systems), which is a POSIX sub-system for NT.
It replaces Microsoft original POSIX subsystem, so I am not sure you can reproduce
easily the bug.
The matter is that, a CGI compiled for the POSIX susbystem, makes the Apache server
returning an internal error which is : Premature end of script headers.
>How-To-Repeat:
Create a POSIX CGI. (LINK with /SUBSYSTEM:POSIX)
>Fix:
No..
>Audit-Trail:
>Unformatted:
[In order for any reply to be added to the PR database, ]
[you need to include <apbugs@Apache.Org> in the Cc line ]
[and leave the subject line UNCHANGED.  This is not done]
[automatically because of the potential for mail loops. ]




Mime
View raw message